/*style for logedin state of user*/
.signup-signin-container {
  margin-left: 30px;
  width: max-content;
  right: 20px;
  top: 20px;
  z-index: 1;
}
.nav-with-sign-btn {
  display: flex;
  align-items: center;
  justify-content: end;
}
.search-form-container form {
  border-radius: 4px;
}
.signup-signin-container .signin-user {
  display: flex;
  align-items: center;
  justify-content: end;
  height: 100%;
  position: relative;
  margin-top: -2px;
}
.signin-user:first-child img {
  cursor: pointer;
  border-radius: 50%;
  margin-top: 5px;
}
.signin-user:hover .signin-user-container {
  transform: translateY(0) scale(1);
  opacity: 1;
  visibility: visible;
}
.signin-user-container {
  position: absolute;
  top: 64px;
  right: -25%;
  padding: 5px 0px;
  background-color: #fff;
  box-shadow: 0 10px 20px rgb(0 0 0 / 20%);
  border: 1px solid #eee;
  padding-bottom: 20px;
  border-radius: 4px;
  opacity: 0;
  z-index: 99;
  transform: translateY(5px) scale(0.98);
  visibility: hidden;
  transition: all 0.4s ease;
}
.signin-user-container li {
  list-style: none;
  padding: 5px 0;
  padding-left: 30px;
  font-size: 16px;
  line-height: 1.8;
  transition: all 0.5s;
}
.signin-user-container li a {
  display: block;
  height: 100%;
  width: 100%;
}
.signin-user-container li a:hover {
  color: red;
}
.signin-user-container li:hover {
  background-color: #e1e1e173;
}

.signin-user-con {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 10px 30px;
  margin-bottom: 5px;
}
.signin-user__logout-link-con {
  padding: 6px 21px;
}
.signin-user__logout-link-con a:hover {
  color: red;
}
.signin-user__logout-link-con:hover {
  background-color: #e1e1e173;
}
.signin-user-con__active {
  background-color: #e1e1e173;
}

.signin-user__avater-con img {
}
.signin-user__email {
  font-size: 14px;
  margin: 0;
}
.signin-user__name {
  margin: 0;
  font-weight: 600;
  font-size: 14px;
}
a.signin-logout-link {
  margin-left: 0;
}
/*style for logout state of user*/
.signin-btns-conatiner {
  height: inherit;
  display: flex;
  align-items: center;
  justify-content: end;
}
.signin-btn {
  cursor: pointer;
  padding: 10px 18px 12px 18px;
  color: #34495e;
  text-decoration-color: #34495e;
  background-color: #ffffff;
  border-radius: 4px;
  box-shadow: 0px 2px 6px 0px rgb(196 196 196 / 57%);
  transition: all 0.2s;
  font-weight: 600;
  font-size: 14px;
  margin-top: -3px;
}
.signup-btn {
  cursor: pointer;
  font-weight: 600;
  transition: all 0.2s;
}
.signup-btn:hover {
  color: #ff5166;
}
.signin-btn:hover {
  color: #fff;
  background-color: #ff5166;
}
.signup-btn-con {
  text-align: center;
}

.signin-form-overlay,
.signup-form-overlay {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  z-index: 2222;
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: transparent;
  transition: all 0.3s;
  opacity: 1;
}

.signin-form-overlay__hidden,
.signup-form-overlay__hidden {
  visibility: hidden;
  opacity: 0;
}
.signin-form,
.signup-form {
  display: flex;
  flex-direction: column;
  padding: 2vw;
  background-color: #fff;
  border-radius: 5px;
  width: 24vw;
}
.signin-form__title,
.signup-form__title {
  text-align: center;
  font-size: 35px;
  margin-bottom: 40px;
}
.signup-form__form,
.signin-form__form {
  display: flex;
  flex-direction: column;
}
.signup-form__form input[type="text"],
.signup-form__form input[type="password"],
.signup-form__form input[type="email"],
.signin-form__form input[type="text"],
.signin-form__form input[type="email"],
.signin-form__form input[type="password"] {
  margin-bottom: 20px;
  padding: 10px;
  border-radius: 5px;
  outline: none;
  border: 1px solid #d5d0d091;
  font-size: 18px;
}
.signup-form__cross-btn-con,
.signin-form__cross-btn-con {
  text-align: end;
}
.signup-form__cross-btn-con svg,
.signin-form__cross-btn-con svg {
  height: 20px;
  width: 20px;
  fill: #000;
  cursor: pointer;
}
form.signin-form__form button,
form.signup-form__form button {
  border: none;
  outline: none;
  padding: 10px 0;
  background: #ff5166;
  color: #fff;
  font-weight: 600;
  border-radius: 25px;
  width: 60%;
  margin: auto;
  margin-top: 30px;
  margin-bottom: 30px;
}
.signup-btn-con .signin-btn {
  box-shadow: none;
  background-color: transparent;
  border-radius: initial;
  font-weight: 600;
}
.signup-btn-con .signin-btn:hover {
  background-color: transparent;
  color: #ff5166;
}
.signup-pass-req {
  line-height: 28px;
  margin-bottom: 20px;
  color: #5a5a5a;
}
.signin-form__lost-pass-con {
  display: flex;
  justify-content: space-between;
  align-items: center;
  font-size: 16px;
  margin-top: -8px;
}

.animate-open {
  animation: flipInX;
  animation-duration: 0.3s;
}
.animate-close {
  animation: flipOutX;
  animation-duration: 0.3s;
}

@keyframes flipInX {
  from {
    opacity: 0;
    -webkit-transform: translateY(-40px) perspective(500px) rotateX(10deg)
      scale3d(1, 1, 1);
    transform: translateY(-40px) perspective(500px) rotateX(10deg)
      scale3d(1, 1, 1);
  }
  to {
    -webkit-transform: translateY(0px) perspective(500px) rotateX(0deg)
      scale3d(1, 1, 1);
    transform: translateY(0px) perspective(500px) rotateX(0deg) scale3d(1, 1, 1);
  }
}

@keyframes flipOutX {
  from {
    -webkit-transform: translateY(-40px) perspective(500px) rotateX(0deg)
      scale3d(1, 1, 1);
    transform: translateY(-40px) perspective(500px) rotateX(0deg)
      scale3d(1, 1, 1);
  }
  60% {
    opacity: 1;
    -webkit-animation-timing-function: cubic-bezier(0.455, 0.03, 0.515, 0.955);
    animation-timing-function: cubic-bezier(0.455, 0.03, 0.515, 0.955);
    -webkit-transform: translateY(-40px) perspective(500px) rotateX(-10deg)
      scale3d(1, 1, 1);
    transform: translateY(-40px) perspective(500px) rotateX(-10deg)
      scale3d(1, 1, 1);
  }
  to {
    opacity: 0;
    -webkit-transform: translateY(-40px) perspective(500px) rotateX(10deg)
      scale3d(1, 1, 1);
    transform: translateY(-40px) perspective(500px) rotateX(10deg)
      scale3d(1, 1, 1);
  }
}
/*modify main css*/

/*modify learnpress css*/
.signin-user-container .lp-profile-nav-tabs {
  padding: 0 21px;
  list-style: none;
}
.signin-user-container .lp-profile-nav-tabs .logout {
  display: none;
}
.signin-user-container .lp-profile-nav-tabs li {
  padding: 5px 0;
}
.signin-user-container .lp-profile-nav-tabs li a i {
  display: none;
}
.signin-user-container .profile-tab-sections {
  display: none;
}
.logo {
  position: absolute;
  z-index: 99;
  width: 147px;
  display: flex;
  align-items: center;
  height: 100%;
  top: 0;
}
header {
  position: relative;
  display: flex;
  align-items: center;
}
#toTop {
  background: #d74d52;
  border-radius: 50%;
  height: 60px;
  width: 60px;
  align-items: center;
  justify-content: center;
}
#toTop i {
  display: block;
  margin-top: 13px;
  margin-left: 9px;
}
.lp-badge.featured-course {
  z-index: 0 !important;
}
.header-logo {
  width: 150px;
}
.category-menu ul li a {
  margin-left: 0 !important;
}
.search-form-container {
  width: 240px;
  margin-left: 20px;
}
.footer-subscribe {
  padding-bottom: 30px;
}
/*media query*/

@media (max-width: 768px) {
  .signup-signin-container {
    position: absolute;
    right: 60px;
    bottom: 20px;
  }
  .signin-form,
  .signup-form {
    width: 90vw;
  }
  .signin-btn {
    padding: 5px 10px;
    margin: 3px 10px;
    color: #ffffff;
    background-color: #ff1b50;
    font-weight: 600;
  }
  .search-form-container,
  .category-menu {
    display: none;
  }

  .picwik_header_version_2 .logo {
    top: -5px;
  }
  .picwik_header_version_2 .header_v3_btn__custom,
  .picwik_header_version_1 .header_v3_btn__custom {
    position: absolute;
    top: 15px;
    right: 55px;
    padding: 9px;
    font-size: 10px;
  }
}

.picwik_header_version_2 .header_v3_btn__custom,
.picwik_header_version_1 .header_v3_btn__custom {
  margin-left: 30px;
}
.input-group.bxw2 {
  box-shadow: none;
}
.input-group-append {
  display: inline-block;
}

/*css for version 3 header*/
header#picwik-header-v3 {
  display: flex;
  flex-direction: column;
}
.picwik-header-v3__main-header {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  width: 100%;
  order: 1;
}
.header-v4 .picwik-header-v3__main-header {
  order: 0;
}
.header-v4 .picwik-header-v3__top-header {
  order: 1;
}
.picwik-header-v3__top-header {
  width: 1170px;
  margin: auto;
  display: grid;
  grid-template-columns: 2fr max-content 1fr 1fr;
  justify-content: center;
  justify-items: center;
  align-items: center;
  grid-column-gap: 40px;
}
.header-v5 .picwik-header-v3__top-header {
  order: 2;
}
#picwik-header-v3 .search-form-container {
  justify-self: end;
  margin-left: 0;
}
#picwik-header-v3 .top-nav-container {
  justify-self: start;
}
#picwik-header-v3 #site-navigation > div {
  height: 100%;
  display: flex;
  align-items: center;
  flex-wrap: wrap;
}
#picwik-header-v3 #site-navigation ul li:first-child a {
  margin-left: 0;
}
.header_v3_btn__custom {
  padding: 10px 20px;
  color: #fff;
  font-size: 14px;
  font-weight: 600;
  justify-self: end;
}
.header_v3_btn__custom:hover {
  color: #fff;
}
.picwik-header-v3__logo-hide {
  display: none;
}
.search-form input {
  height: 46px;
}
.search-form button {
  top: -2px;
}

@media (max-width: 768px) {
  .picwik-header-v3__top-header {
    display: none;
  }
  .picwik-header-v3__logo-hide {
    display: flex;
    align-items: center;
    position: absolute;
    left: 20px;
    top: 20px;
  }
}
/*css for version 3 header*/
header.header-v5 .picwik-header-v3__main-header .main-navigation {
  height: 50px;
}
header.header-v5 .picwik-header-v3__main-header {
  justify-content: space-between;
  padding: 0 30px;
}
.header-v5__socials {
  display: flex;
  align-items: center;
  flex-wrap: wrap;
}
.header-v5__socials a img,.header-v5__socials a svg {
  width: 24px;
  height:24px;
  margin-right: 5px;
}
.header-v5__socials a {
  text-decoration: none;
  font-size: 14px;
  display: flex;
  align-items: center;
  padding: 0 5px;
}
@media (max-width: 768px) {
  header.header-v5 .picwik-header-v3__main-header {
    display: none;
  }
}

/* css for v6 header */
.header-v6 #site-navigation {
  align-items: center;
  height: max-content;
}
.header-v6 .picwik-header-v3__top-header {
  margin: auto;
  display: grid;
  grid-template-columns: max-content 1fr max-content max-content;
  justify-content: center;
  justify-items: center;
  align-items: center;
  grid-column-gap: 40px;
}
@media (max-width: 768px) {
  .header-v6 #site-navigation {
    display: none !important;
  }
  header.header-v6 .picwik-header-v3__logo{
    display:none;
  }
  header.header-v6 .header-v5__socials{
    display:none;
  }
}

@media (max-width: 1170px) {
  .signup-signin-container {
    position: absolute;
    right: 60px;
    bottom: 20px;
  }
   .picwik-header-v3__top-header {
    display: none;
  }
   header.header-v5 .picwik-header-v3__main-header {
    display: none;
  }
  .picwik-header-v3__logo-hide {
    display: flex;
    align-items: center;
    position: absolute;
    left: 20px;
    top: 20px;
  }
  header.header-v6 .header-v5__socials{
    display:none;
  }
}
